Bug 1279452 - mimedefang init script produces error when NETWORKING variable not set
mimedefang init script produces error when NETWORKING variable not set
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: mimedefang (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 08:35 EST by Jonathan Kamens
Modified: 2016-01-23 20:05 EST (History)
1 user (show)

See Also:
Fixed In Version: mimedefang-2.78-6.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-23 20:05:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2015-11-09 08:35:20 EST
This line in /etc/rc.d/init.d/mimedefang:

[ ${NETWORKING} = "no" ] && exit 0


should read:

[ "${NETWORKING}" = "no" ] && exit 0

Otherwise when NETWORKING isn't set in /etc/sysconfig/network, it produces this error:

mimedefang: /etc/rc.d/init.d/mimedefang: line 58: [: =: unary operator expected
Comment 1 Fedora Update System 2016-01-04 16:09:58 EST
mimedefang-2.78-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-897f9d80ed
Comment 2 Fedora Update System 2016-01-05 18:26:56 EST
mimedefang-2.78-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-897f9d80ed
Comment 3 Fedora Update System 2016-01-08 19:08:47 EST
mimedefang-2.78-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-897f9d80ed
Comment 4 Fedora Update System 2016-01-09 12:51:38 EST
mimedefang-2.78-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-897f9d80ed
Comment 5 Fedora Update System 2016-01-23 20:05:57 EST
mimedefang-2.78-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.